#ifndef CRTINCL_INCLUDED
#define CRTINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    crtincl.h                                                      */
/*                                                                           */
/* Purpose:   CRT internal includes                                          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.2                $ $Modtime::   Jan 11 2001 15:56:14   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes.                                                          */
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/*****************************************************************************/
/* External includes.                                                        */
/*****************************************************************************/
#include <openssl/conf.h>
#include <openssl/evp.h>
#include <openssl/pem.h>
#include <openssl/err.h>
#include <lber.h>
#include <ldap.h>

/*****************************************************************************/
/* CRT includes.                                                             */
/*****************************************************************************/
#include <crtdef.h>
#include <crtfunc.h>

#endif

