#ifndef CAREXTRN_INCLUDED
#define CAREXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    carextrn.h                                                     */
/*                                                                           */
/* Purpose:   Call Authorization and Routing (CAR) Application Interface     */
/*            Layer (AIL) interface definitions                              */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:28   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* carapi.c                                                                  */
/*****************************************************************************/
OSP_RC car_init(void);

OSP_RC car_term(void);

OSP_RC OSPAPI osp_ar_register(POSP_AR_AUTH_RQ_CALLBACK,
                              POSP_AR_AUTH_IND_CALLBACK,
                              POSP_AR_REAUTH_RQ_CALLBACK,
                              POSP_AR_PRICING_IND_CALLBACK,
                              POSP_AR_CAPS_IND_CALLBACK);

OSP_RC car_start_processing(TRANS_INFO *, XML_Parser *, int, char *);

OSP_RC car_cancel_processing(TRANS_INFO *);

#endif
