#ifndef CCMINCL_INCLUDED
#define CCMINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    ccmincl.h                                                      */
/*                                                                           */
/* Purpose:   CCM internal includes                                          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:32   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes.                                                          */
/*****************************************************************************/
#include <pthread.h>
#include <string.h>
#include <ctype.h>

/*****************************************************************************/
/* External includes.                                                        */
/*****************************************************************************/
#include <openssl/rand.h>
#include <openssl/ssl.h>
#include <openssl/x509v3.h>
#include <openssl/err.h>
#include <lber.h>
#include <ldap.h>

/*****************************************************************************/
/* Stack includes.                                                           */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <rmextrn.h>
#include <lamextrn.h>
#include <comconst.h>

/*****************************************************************************/
/* CCM includes.                                                             */
/*****************************************************************************/
#include <ccmextrn.h>
#include <ccmconst.h>
#include <ccmdef.h>
#include <ccmstrc.h>
#include <ccmfunc.h>
#include <ccmglbl.h>

#endif

