#ifndef SMIEXTRN_INCLUDED
#define SMIEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    smiextrn.h                                                     */
/*                                                                           */
/* Purpose:   SMIME layer external function prototypes                       */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:44   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Procedure declarations.                                                   */
/*****************************************************************************/
OSP_RC smime_init(LHASH *);

OSP_RC smime_term(void);

OSP_RC smime_request_received(TRANS_INFO *,
                              char *);

OSP_RC smime_send_response(TRANS_INFO *);

#endif

