#ifndef SMIFUNC_INCLUDED
#define SMIFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    smifunc.h                                                      */
/*                                                                           */
/* Purpose:   S/MIME internal function prototypes                            */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:44   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* smiutil.c                                                                 */
/*****************************************************************************/
OSP_RC smime_sign_response(TRANS_INFO *, char **);

OSP_RC smime_canonicalize(char *,
                          unsigned int,
                          char **,
                          int *,
                          unsigned int *);

OSP_RC smime_parse_content_type(TRANS_INFO *,
                                char *,
                                unsigned int,
                                char **);

OSP_RC smime_verify_request(TRANS_INFO *,
                            char *);

OSP_RC smime_get_content_length(COM_HEADERS *,
                                unsigned int *);

#endif

