#ifndef SMIGLBL_INCLUDED
#define SMIGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    smiglbl.h                                                      */
/*                                                                           */
/* Purpose:   S/MIME global data declarations                                */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:44   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* S/MIME global data.                                                       */
/*****************************************************************************/
#ifdef SMIME_DEFINE_VARS
SMIME_DATA smime;
#else
extern SMIME_DATA smime;
#endif

#ifdef SMIME_DEFINE_VARS
int smime_initialized = FALSE;
#else
extern int smime_initialized;
#endif

#endif

