#ifndef USEGLBL_INCLUDED
#define USEGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    useglbl.h                                                      */
/*                                                                           */
/* Purpose:   USE (Usage Metering) AIB - global variables                    */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.3                $ $Modtime::   Jan 11 2001 15:56:48   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Initialized flag.                                                         */
/*****************************************************************************/
#ifdef USE_DEFINE_VARS
int use_initialized = FALSE;
#else
extern int use_initialized;
#endif

/*****************************************************************************/
/* Mutex used to protect tests/changes to callbacks.                         */
/*****************************************************************************/
#ifdef USE_DEFINE_VARS
OSP_RECURSIVE_MUTEX use_cb_mutex;
#else
extern OSP_RECURSIVE_MUTEX use_cb_mutex;
#endif

/*****************************************************************************/
/* Pointer to the application's usage metering callback.                     */
/*****************************************************************************/
#ifdef USE_DEFINE_VARS
POSP_UM_CALLBACK use_cb = NULL;
#else
extern POSP_UM_CALLBACK use_cb;
#endif

#endif
