#ifndef XMLEXTRN_INCLUDED
#define XMLEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmlextrn.h                                                     */
/*                                                                           */
/* Purpose:   XML Layer external API                                         */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* xmlctrl.c                                                                 */
/*****************************************************************************/
OSP_RC xml_init(void);

OSP_RC xml_term(void);

void xml_request_received(TRANS_INFO *);

void xml_maybe_send(TRANS_INFO *trans);

/*****************************************************************************/
/* xmlparse.c                                                                */
/*****************************************************************************/
void xml_set_default_handlers(TRANS_INFO *);

/*****************************************************************************/
/* xmlcanon.c                                                                */
/*****************************************************************************/
OSP_RC xml_canonicalize(char *,
                        unsigned int,
                        char *,
                        unsigned int *);

#endif

