
# make.com
#
# Sample application makefile
#
# (C) COPYRIGHT DATA CONNECTION LIMITED 2000
#
# $Revision::   1.6                $ $Modtime::   May 23 2000 17:32:30   $
#

# Include the common settings
include $(OSPROOT)/make.common

# Set up extra includes for this component
CFLAGS += -I$(OSPROOT)/stack \
          -I$(EXTROOT)/$(OPENSSL)/include \
          -I$(EXTROOT)/$(OPENLDAP)/include \

# Set the executable name
BINNAME=$(BINDIR)/crladmin

# List the libraries to link to
LINKLIBS=$(EXTROOT)/$(OPENSSL)/libcrypto.a \
         $(EXTROOT)/$(OPENLDAP)/libraries/libldap.a \
         $(EXTROOT)/$(OPENLDAP)/libraries/liblber.a \
         -lsocket \
         -lnsl

# List all the objects
OBJS=$(OBJDIR)/crtmain.o

# Now we can include the rules that specify how to actually build targets
include $(OSPROOT)/make.rules

