
#ifndef SUAFUNC_INCLUDED
#define SUAFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    suafunc.h                                                      */
/*                                                                           */
/* Purpose:   Sample USE application - internal function prototypes          */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.5                $ $Modtime::   Jan 11 2001 15:56:22   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* suamain.c                                                                 */
/*****************************************************************************/
OSP_RC OSPAPI sua_cb(OSP_CORRELATOR,
                     char *,
                     char *,
                     char *_id,
                     OSP_CALL_ID *,
                     OSP_ADDRESS *,
                     OSP_ADDRESS *,
                     OSP_ADDRESS *,
                     OSP_ADDRESS *,
                     OSP_USAGE_DETAIL *,
                     OSP_CLIENT_ID *);

char *sua_role_abbreviation(char *);
char *sua_address_type_abbreviation(char *);
char *sua_abbreviation(char *, SUA_ABBREV *);
void sua_print_field(char *, int);

#endif
