
#ifndef SUAINCL_INCLUDED
#define SUAINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    suaincl.h                                                      */
/*                                                                           */
/* Purpose:   Sample USE application - internal include file                 */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:22   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes                                                           */
/*****************************************************************************/
#include <errno.h>
#include <stdio.h>
#include <string.h>

/*****************************************************************************/
/* Third party library includes                                              */
/*****************************************************************************/
#include <openssl/conf.h>

/*****************************************************************************/
/* OpenOSP stack includes                                                    */
/*****************************************************************************/
#include <openosp.h>
#include <rmextrn.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <comconst.h>

/*****************************************************************************/
/* Sample app common includes                                                */
/*****************************************************************************/
#include <scmextrn.h>

/*****************************************************************************/
/* Sample USE application includes                                           */
/*****************************************************************************/
#include <suaextrn.h>
#include <suadef.h>
#include <suastrc.h>
#include <suaglbl.h>
#include <suafunc.h>
#include <suaconst.h>

#endif

