#ifndef AIBFUNC_INCLUDED
#define AIBFUNC_INCLUDED

/**INC+***********************************************************************/
/* Header:    aibfunc.h                                                      */
/*                                                                           */
/* Purpose:   AIB Common internal functions                                  */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.8                $ $Modtime::   Jan 11 2001 15:56:24   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* aibrdut.c                                                                 */
/*****************************************************************************/
void aib_internal_character_data_handler(void *, const XML_Char *, int);

AIB_ELEMENT *aib_lookup_element_name(AIB_ELEMENT *, const char *);

OSP_RC aib_init_char_data(AIB_CHAR_DATA *, int);

void aib_character_data_handler(void *, const XML_Char *, int);

/*****************************************************************************/
/* aibhdlrs.c                                                                */
/*****************************************************************************/
void aib_start_element_handler(void *,
                               const XML_Char *,
                               const XML_Char **);

/*****************************************************************************/
/* aibwrxml.c                                                                */
/*****************************************************************************/
int aib_write_encoded_element(TRANS_INFO *,
                              const char *,
                              const char *,
                              int,
                              const char *);

#endif
