#ifndef AIBINCL_INCLUDED
#define AIBINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    aibincl.h                                                      */
/*                                                                           */
/* Purpose:   AIB Common Include file                                        */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.12               $ $Modtime::   Jan 11 2001 15:56:24   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes                                                           */
/*****************************************************************************/
#include <stddef.h>
#include <string.h>
#include <time.h>
#include <pthread.h>

/*****************************************************************************/
/* External includes                                                         */
/*****************************************************************************/
#include <xmlparse.h>
#include <openssl/ssl.h>

/*****************************************************************************/
/* Other OpenOSP components                                                  */
/*****************************************************************************/
#include <openosp.h>
#include <comextrn.h>
#include <smextrn.h>
#include <trcextrn.h>
#include <rmextrn.h>
#include <ccmextrn.h>
#include <comconst.h>
#include <xmlextrn.h>

/*****************************************************************************/
/* AIB Common includes                                                       */
/*****************************************************************************/
#include <aibextrn.h>
#include <aibdef.h>
#include <aibstrc.h>
#include <aibglbl.h>
#ifdef OSP_DATA_COVERAGE
#include <useconst.h>
#include <carconst.h>
#endif
#include <aibconst.h>
#include <aibfunc.h>

#endif

