#ifndef CCMDEF_INCLUDED
#define CCMDEF_INCLUDED

/**INC+***********************************************************************/
/* Header:    ccmdef.h                                                       */
/*                                                                           */
/* Purpose:   CCM #defines                                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.6                $ $Modtime::   Jan 11 2001 15:56:30   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Default value for client verify mode                                      */
/*****************************************************************************/
#define CCM_CFG_SSL_VERIFY_CLIENT_DFLT  SSL_VERIFY_NONE

/*****************************************************************************/
/* The maximum number of digits in an integer                                */
/*****************************************************************************/
#define CCM_MAX_INT_DIGITS              11

/*****************************************************************************/
/* The maximum size required for expansion of ccm_cfg_identities_id_xxx.     */
/*****************************************************************************/
#define CCM_CFG_ID_VALUE_MAXLEN         32

/*****************************************************************************/
/* The size of a temporary buffer that is used for number conversion.        */
/*****************************************************************************/
#define CCM_SERIAL_READ_BUF_SIZE        256

/*****************************************************************************/
/* The minimum number of bytes allowed in the random state file.             */
/*****************************************************************************/
#define CCM_RAND_FILE_LEN_MIN           512

#endif

