#ifndef COMGLBL_INCLUDED
#define COMGLBL_INCLUDED

/**INC+***********************************************************************/
/* Header:    comglbl.h                                                      */
/*                                                                           */
/* Purpose:   Common code global variables                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:34   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Initialized flag                                                          */
/*****************************************************************************/
#ifdef COM_DEFINE_VARS
int com_initialized = FALSE;
#else
extern int com_initialized;
#endif

#ifdef OSP_DEBUG
/*****************************************************************************/
/* Net count of mutexes created/destroyed - should be zero when              */
/* osp_commmon_term() is called                                              */
/*****************************************************************************/
#ifdef COM_DEFINE_VARS
unsigned int com_mutex_count = 0;
#else
extern unsigned int com_mutex_count;
#endif
#endif

#endif

