#ifndef COMINCL_INCLUDED
#define COMINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    comincl.h                                                      */
/*                                                                           */
/* Purpose:   Common include files                                           */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:34   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes.                                                          */
/*****************************************************************************/
#include <stdlib.h>
#include <pthread.h>
#include <ctype.h>

/*****************************************************************************/
/* Stack includes.                                                           */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <rmextrn.h>

/*****************************************************************************/
/* COM includes.                                                             */
/*****************************************************************************/
#include <comextrn.h>
#include <comdef.h>
#include <comglbl.h>
#include <comconst.h>

#endif

