#ifndef LAMINCL_INCLUDED
#define LAMINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    lamincl.h                                                      */
/*                                                                           */
/* Purpose:   LDAP Access Manager (LAM) Includes                             */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.7                $ $Modtime::   Jan 11 2001 15:56:36   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System Includes                                                           */
/*****************************************************************************/
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <pthread.h>

/*****************************************************************************/
/* External includes                                                         */
/*****************************************************************************/
#include <lber.h>
#include <ldap.h>
#include <openssl/err.h>

/*****************************************************************************/
/* Stack includes                                                            */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <rmextrn.h>

/*****************************************************************************/
/* LAM includes                                                              */
/*****************************************************************************/
#include <lamextrn.h>
#include <lamincl.h>
#include <lamdef.h>
#include <lamstrc.h>
#include <lamfunc.h>
#include <lamglbl.h>

#endif

