
# make.com
#
# OpenOSP stack makefile
#
# (C) COPYRIGHT DATA CONNECTION LIMITED 2000
#
# $Revision::   1.11               $ $Modtime::   Jun 26 2000 17:56:46   $
#

# Include the common settings
include $(OSPROOT)/make.common

# Set up extra includes for this component
CFLAGS += -I$(OSPROOT)/trace \
          -I$(EXTROOT)/$(OPENSSL)/include \
          -I$(EXTROOT)/$(OPENLDAP)/include \
          -I$(EXTROOT)/$(EXPAT)/xmlparse

# Set the library name
LIBNAME=$(BINDIR)/libosp.a

# List all the objects
OBJS=$(OBJDIR)/aibglbl.o \
     $(OBJDIR)/aibrdut.o \
     $(OBJDIR)/aibsndut.o \
     $(OBJDIR)/aibstrtp.o \
     $(OBJDIR)/aibhdlrs.o \
     $(OBJDIR)/aibwrlst.o \
     $(OBJDIR)/aibwrxml.o \
     $(OBJDIR)/aibdcov.o \
     $(OBJDIR)/carauthr.o \
     $(OBJDIR)/carauthi.o \
     $(OBJDIR)/carrearq.o \
     $(OBJDIR)/carprice.o \
     $(OBJDIR)/carcapsi.o \
     $(OBJDIR)/carsubsa.o \
     $(OBJDIR)/carglbl.o \
     $(OBJDIR)/carmain.o \
     $(OBJDIR)/carutil.o \
     $(OBJDIR)/ccmca.o \
     $(OBJDIR)/ccmcaut.o \
     $(OBJDIR)/ccmconf.o \
     $(OBJDIR)/ccmldap.o \
     $(OBJDIR)/ccmmain.o \
     $(OBJDIR)/ccmpkcs7.o \
     $(OBJDIR)/ccmpk7ut.o \
     $(OBJDIR)/ccmrand.o \
     $(OBJDIR)/ccmutil.o \
     $(OBJDIR)/ccmvfy.o \
     $(OBJDIR)/comglbl.o \
     $(OBJDIR)/commain.o \
     $(OBJDIR)/comparse.o \
     $(OBJDIR)/lamctrl.o \
     $(OBJDIR)/lamglbl.o \
     $(OBJDIR)/lammain.o \
     $(OBJDIR)/lamthrd.o \
     $(OBJDIR)/lamutil.o \
     $(OBJDIR)/rmglbl.o \
     $(OBJDIR)/rmmain.o \
     $(OBJDIR)/scepattr.o \
     $(OBJDIR)/scepmain.o \
     $(OBJDIR)/scepreq.o \
     $(OBJDIR)/sceputil.o \
     $(OBJDIR)/smconst.o \
     $(OBJDIR)/smimain.o \
     $(OBJDIR)/smiutil.o \
     $(OBJDIR)/smint.o \
     $(OBJDIR)/smlisten.o \
     $(OBJDIR)/smmain.o \
     $(OBJDIR)/smosp.o \
     $(OBJDIR)/smwkhttp.o \
     $(OBJDIR)/smworker.o \
     $(OBJDIR)/useglbl.o \
     $(OBJDIR)/usehdlrs.o \
     $(OBJDIR)/usemain.o \
     $(OBJDIR)/xmlcanon.o \
     $(OBJDIR)/xmlconst.o \
     $(OBJDIR)/xmlmain.o \
     $(OBJDIR)/xmlhdlrs.o

# Now we can include the rules that specify how to actually build targets
include $(OSPROOT)/make.rules

