#ifndef SCEPEXTN_INCLUDED
#define SCEPEXTN_INCLUDED

/**INC+***********************************************************************/
/* Header:    scepextn.h                                                     */
/*                                                                           */
/* Purpose:   SCEP API header                                                */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:40   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* Procedure declarations.                                                   */
/*****************************************************************************/
OSP_RC scep_init(LHASH *);

OSP_RC scep_term(void);

OSP_RC scep_request_received(TRANS_INFO *,
                             char *);

#endif

