
#ifndef USEEXTRN_INCLUDED
#define USEEXTRN_INCLUDED

/**INC+***********************************************************************/
/* Header:    useextrn.h                                                     */
/*                                                                           */
/* Purpose:   USE (Usage Metering) AIB - external API function prototypes    */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.4                $ $Modtime::   Jan 11 2001 15:56:48   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* usemain.c                                                                 */
/*****************************************************************************/
OSP_RC use_init();
OSP_RC use_term();
OSP_RC use_start_processing(TRANS_INFO *, XML_Parser *, int, char *);
OSP_RC use_cancel_processing(TRANS_INFO *);

/*****************************************************************************/
/* osp_um_register and osp_um_response are also implemented in usemain.c,    */
/* but declared in the public OpenOSP header file openosp.h.                 */
/*****************************************************************************/

#endif
