
#ifndef USEINCL_INCLUDED
#define USEINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    useincl.h                                                      */
/*                                                                           */
/* Purpose:   USE (Usage Metering) AIB - internal include file               */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.5                $ $Modtime::   Jan 11 2001 15:56:48   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* System includes                                                           */
/*****************************************************************************/
#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stddef.h>
#include <stdlib.h>

/*****************************************************************************/
/* Third party library includes                                              */
/*****************************************************************************/
#include <xmlparse.h>

/*****************************************************************************/
/* OpenOSP stack includes                                                    */
/*****************************************************************************/
#include <openosp.h>
#include <rmextrn.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <smextrn.h>
#include <aibextrn.h>
#include <xmlextrn.h>
#include <comconst.h>

/*****************************************************************************/
/* Sample USE application includes                                           */
/*****************************************************************************/
#include <useextrn.h>
#include <usestrc.h>
#include <useglbl.h>
#include <usefunc.h>
#include <useconst.h>

#endif
