#ifndef XMLINCL_INCLUDED
#define XMLINCL_INCLUDED

/**INC+***********************************************************************/
/* Header:    xmlincl.h                                                      */
/*                                                                           */
/* Purpose:   XML Layer (XML) Include file                                   */
/*                                                                           */
/* Copyright (c) 2000, 2001 Data Connection Limited                          */
/* Copyright (c) 2000, 2001 Cisco Systems, Inc. All Rights Reserved.         */
/*                                                                           */
/* All software incorporated in the "OpenOSP Server" (except for those       */
/* portions incorporating third party software specifically identified as    */
/* being licensed under separate license) are licensed under the terms of    */
/* the Cisco Public Source License ver. 1.0 (2000) found in                  */
/* $OSPROOT/license.txt.  Additional copies of the license are available     */
/* from opensource@cisco.com.                                                */
/*                                                                           */
/* Also, before using this software, please see $OSPROOT/x509_ipr.txt for    */
/* information regarding intellectual property rights.                       */
/*                                                                           */
/* $Revision::   1.8                $ $Modtime::   Jan 11 2001 15:56:50   $  */
/*                                                                           */
/**INC-***********************************************************************/

/*****************************************************************************/
/* External includes                                                         */
/*****************************************************************************/
#include <openssl/ssl.h>
#include <xmlparse.h>

/*****************************************************************************/
/* OSP includes                                                              */
/*****************************************************************************/
#include <openosp.h>
#include <trcextrn.h>
#include <comextrn.h>
#include <smextrn.h>
#include <aibextrn.h>
#include <carextrn.h>
#include <useextrn.h>
#include <rmextrn.h>
#include <smiextrn.h>
#include <ccmextrn.h>

/*****************************************************************************/
/* XML layer includes                                                        */
/*****************************************************************************/
#include <xmldef.h>
#include <xmlextrn.h>
#include <xmlstrc.h>
#include <xmlfunc.h>
#include <xmlconst.h>

/*****************************************************************************/
/* Element names                                                             */
/*****************************************************************************/
#include <comconst.h>

#endif

